using System;
using System.Collections;
using Server.Items;
using Server.Network;

namespace Server.Mobiles
{
	[CorpseName( "an antaur corpse" )]
	public class AntaurSoldier : BaseCreature
	{
		[Constructable]
		public AntaurSoldier() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "an antaur soldier";
			Body = 178;
			BaseSoundID = 0x4F0;

			SetStr( 196, 220 );
			SetDex( 101, 125 );
			SetInt( 36, 60 );

			SetHits( 96, 107 );

			SetDamage( 5, 15 );

			SetSkill( SkillName.MagicResist, 60.0 );
			SetSkill( SkillName.Tactics, 80.0 );
			SetSkill( SkillName.HandToHand, 80.0 );

			Fame = 3000;
			Karma = -3000;

			VirtualArmor = 35;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
		}

		public AntaurSoldier( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 1 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			Hue = 0;
		}
	}
}